Name:		gwget
Version:	1.0.4
Release:	23%{?dist}
Summary:	Graphical download manager that uses wget

License:	GPLv2+
URL:		http://gnome.org/projects/gwget
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gwget/1.0/gwget-%{version}.tar.bz2
Patch0:		gwget-1.0.4-epiphany.patch
Patch1:		gwget-1.0.4-libnotify-0.7.0.patch
Patch2:		gwget-glib.patch

BuildRequires:  gcc
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	libglade2-devel >= 2.0
BuildRequires:	dbus-devel
BuildRequires:	libnotify-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gettext >= 0.14.1
BuildRequires:	desktop-file-utils
BuildRequires:	epiphany
Requires:	wget >= 1.9
Requires(post):		GConf2
Requires(preun):	GConf2


%description
Gwget is a Download Manager for Gnome 2. It uses wget as a backend.
Currently, very basic wget options are available, supporting multiple
downloads, drag&drop and display the errors from wget process.

%package	epiphany-extension
Summary:	Gwget2 extensions for epiphany

Requires:	%{name} = %{version}
Requires:	epiphany

%description epiphany-extension
This package contains gwget2 extensions for the epiphany webbrowser.

%prep
%setup -q
%patch0 -p1 -b .epiphany
%patch1 -p1 -b .libnotify-0.7.0
%patch2 -p1 -b .glib

# convert files to UTF-8 with preserving the timestamps
for file in ChangeLog README; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done


%build
%configure --disable-static --enable-epiphany-extension

make %{?_smp_mflags}


%install
# For GConf apps: prevent schemas from being installed at this stage
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

desktop-file-install \
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications	\
	--delete-original				\
	${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
EmailAddress: david@alderia.com
SentUpstream: 2014-05-27
-->
<application>
  <id type="desktop">gwget.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Download manager</summary>
  <description>
    <p>
      gwget is an application that allows you to manage the downloading of 
      files from the internet. It supports the pausing and resuming of downloads,
      can download all the accompanying files of a HTML page, and supports drag
      and drop.
    </p>
  </description>
  <url type="homepage">http://gnome.org/projects/gwget</url>
  <screenshots>
    <screenshot type="default">https://projects.gnome.org/gwget/main_window_p.jpg</screenshot>
  </screenshots>
</application>
EOF

%find_lang %{name}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%post
# For GConf apps: install schemas as system default
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:


%preun
# For GConf apps: uninstall app's system default schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/gwget.schemas
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/appdata/*%{name}.appdata.xml
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/dbus-1/services/org.gnome.gwget.service

%if 0%{with epiphany}
%files epiphany-extension
%{_libdir}/epiphany/*/extensions/gwget.xml
%{_libdir}/epiphany/*/extensions/libgwgetextension.so
%endif


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 1.0.4-14
- Add an AppData file for the software center

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 23 2013 Jon Ciesla <limburgher@gmail.com> - 1.0.4-10
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat May  5 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 1.0.4-8
- Add patch for glib2 single includes

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.0.4-6
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 06 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.4-4
- Fix for libnotify 0.7.0

* Thu Jun 03 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.4-3
- Support for epiphany 2.31 and 2.32

* Tue Feb 16 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.4-2
- Rebuild for epiphany 2.29
- Switch to %%bcond macro

* Tue Oct 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4, fixes crash with GTK >= 2.18

* Sun Oct 04 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3
- Remove Vincent's patch as it was upstreamed

* Fri Aug 14 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2
- Patch to enable epiphany extension again (Vincent Untz)
- No need to run any autotools any longer

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-5
- Temporarily disable broken epiphany extension

* Thu Jun 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-4
- Rebuild against epiphany 2.27 and already prepare for 2.28

* Thu Jun 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-3
- Make configure detect epiphany 2.26 again (stupid typo)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1
- Drop both patches as upstream accepted them

* Sun Feb 15 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.00-1
- Update to 1.00
- Drop missing-remove-signal.patch, fixed upstream
- Drop gnome-vfs2-devel as local operations are now performed with gio
- No longer own %%{_libdir}/epiphany*/  after #479921 has been fixed
- Update epiphany patch for epiphany <= 2.26

* Sat Aug 30 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-8
- Rebuild against epiphany 2.23 and already prepare for 2.24

* Thu Jun 05 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-7
- Fix for latest epiphany (#440744)
- Add Debian patch to fix missing remove signals

* Sat Apr 05 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-6
- Build against epiphany 2.22
- Remove the obsolte category Application from desktop file

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.99-5
- Autorebuild for GCC 4.3

* Tue Jan 08 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-4
- Build against epiphany 2.21

* Wed Sep 26 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-3
- Build against epiphany 2.20

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-2
- Run intltoolize to get locales installed properly with intltool 0.36.1
- Update license tag

* Sat Jun 09 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-1
- Update to 0.99
- Add support for epiphany 2.19
- Update desktop file

* Thu May 17 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.98.2-2
- Rebuild for Fedora 7
- Add support for epiphany 2.18

* Sat Nov 11 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.98.2-1
- Update to 0.98.2.
- Don't crash notification area (#213480).
- Add support for epiphany 2.17.

* Fri Sep 15 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.98.1-1
- Update to 0.98.1.
- BuildRequire dbus-devel, libnotify-devel and gnome-vfs2-devel.

* Fri Sep 15 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.97-7
- Mass rebuild for Fedora Core 6.
- Update epiphany-patch for epiphany <= 2.16.
- disable-static instead of removing .a files.
- BuildRequire intltool instead of perl(XML::Parser).

* Sat Jul 15 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.97-6
- Fix BR to build in minimal build environment (#198919).
- Add patch to build against epiphany 2.15.

* Mon Jun 26 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.97-5
- bump release to fix broken upgrade path FE5 -> FE6.

* Mon Jun 26 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.97-4
- fix %%defattr.
- fix summary and description of epiphany-extension subpackage.
- fix BR of epiphany-extension subpackage.

* Sun Apr 02 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.97-3
- Add LDFLAGS="-Wl,--export-dynamic" #187623
- Add patch from cvs to build against latest epiphany

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.97-2
- Rebuild for Fedora Extras 5

* Wed Feb 01 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.97-1
- Update to 0.97
- Build with epiphany 1.9/2.0

* Thu Sep 22 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.96-4
- extension-dir is different on epiphany 1.8
- Own _libdir/epiphany

* Thu Sep 22 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.96-3
- use dist

* Mon Sep 19 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.96-2
- Remove the epiphanye build-option and build it always
- Use epimajor macro to simplify spec for different dists
- make install DESTDIR= instead of makeinstall macro

* Mon Sep 19 2005 Adel Gadllah <adel.gadllah [AT] gmail [DOT] com> 0.96-1
- Update to 0.96 
- Fix urls in spec file (project has moved)
- dropped x86_64 patch (not needed anymore)

* Tue Mar 01 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.93-2
- Add gwget-autoreconf.patch.bz2 ; fixes x86_64

* Tue Jan 25 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.93-1
- Update to 0.93

* Thu Dec 09 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.92-0.fdr.1
- Update to 0.92

* Tue Nov 27 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.91-0.fdr.1
- Update to 0.91
- Add handling for new GCconf schemas
- Add epiphany-extension package

* Tue Oct 19 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.90-0.fdr.1
- Update to 0.90
- disable-epiphany-extension until FC3

* Tue Sep 14 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14.1-0.fdr.2
- Don't ship header files

* Mon Sep 13 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14.1-0.fdr.1
- Update to 0.14.1
- Add BuildRequire gettext intltool
- Remove gwget.png workaround

* Mon Aug 30 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14-0.fdr.3
- Fixed devel description (again)
- Fixed Changelog-Versions

* Mon Aug 30 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14-0.fdr.2
- Source changed to something downloadable with wget
- Fixed devel description
- use desktop-file-utils

* Sun Aug 29 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14-0.fdr.1
- Update to 0.14

* Thu Aug 16 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.13-0.fdr.1
- New Spec file based on impressions from gwget-0.13.1-5asp with
  work from various people:
  Pavlo Bohmat <bohm@ukr.net>
  Arkady L. Shane <shejn@msiu.ru>
  Abel Cheung <deaddog@deaddog.org>
  Lenny Cartier <lenny@mandrakesoft.com>
  Michael Scherer <scherer.michael@free.fr>
  Laurent MONTEL <lmontel@mandrakesoft.com>
